<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');

$pedirUbicacion=$_SESSION['seleccionUbicacionEntrada'];

$esRegimenGeneral=($_SESSION['entrada']['Regimen']=='GRAL');
$esRegimenGeneral=false;


///// ATENCION: SE DETECTA EN SPANISH QUE SI SE DESGLOSA AL MAXIMO NIVEL PALET PERMITE EDITAR LOS PESOS, PERO LOS PESOS NO VAN POR PALET
$noPermitirEdicion=true;
///////////////



if($_POST['desglosarLote'] || $_GET['desglosarLote']) $agruparLote=false; else $agruparLote=true;
if($_POST['desglosarFechaCaducidad'] || $_GET['desglosarFechaCaducidad']) $agruparFechaCaducidad=false; else $agruparFechaCaducidad=true;
if($_POST['desglosarPalet'] || $_GET['desglosarPalet']) $agruparPalet=false; else $agruparPalet=true;
if($_POST['desglosarUbicacion'] || $_GET['desglosarUbicacion']) $agruparUbicacion=false; else $agruparUbicacion=true;
		
if(!$agruparLote && !$agruparFechaCaducidad && !$agruparPalet && !$agruparUbicacion) $todoDesglosado=true;
if($agruparLote && $agruparFechaCaducidad && $agruparPalet && $agruparUbicacion) $todoAgrupado=true;




if($_POST['procesoEntradaPlay']=='1') {

	$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#MODIFICAPESOS#'.$_SESSION['almacen'].';'.$_SESSION['entrada']['Empresa'].';'.$_SESSION['entrada']['NumEntrada'].';';
	
	foreach($_POST as $campo=>$valor) {
	
		if(substr($campo,0,10)=='pesoBruto-' && $valor) {
		
			$linea=substr($campo,10,strlen($campo));
			
			$cadena=$linea.'@'.formateaNumeroParaProxium($_POST['pesoBruto-'.$linea]).'@'.formateaNumeroParaProxium($_POST['tara-'.$linea]).'|';
			
			$peticion.=$cadena;

		}
	
	}
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo '<p>'.$peticion.'</p>';
		print_r($resultado);
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	if($valores[0]=='0') {
	
		?>
		<script>
		alert('Lectura realizada correctamente.',null,'ok')
		.done(function(){
			$('#popupCargando').show();
			window.location='entrada-mercancia-gs1-resumen-lecturas.php?desglosarLote=<?php if(!$agruparLote) echo 'si'; ?>&desglosarFechaCaducidad=<?php if(!$agruparFechaCaducidad) echo 'si'; ?>&desglosarPalet=<?php if(!$agruparPalet) echo 'si'; ?>&desglosarUbicacion=<?php if(!$agruparUbicacion) echo 'si'; ?>';
		});
		</script>
		<?php
	}
	else {
		?><script>alert('Error: <?php echo $valores[1]; ?>',null,'error');</script><?php
	}

}


/////// RE-CARGA DE LOS DATOS DE LA ENTRADA ///////

$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEENTRADA#'.$_SESSION['almacen'].';'.$_SESSION['entrada']['Empresa'].';'.$_SESSION['entrada']['NumEntrada'];

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
$_SESSION['entrada']=$resultado[0];
$_SESSION['palets']=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['DetallePalets']);

$_SESSION['productos']=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['ListaProductos']);

$productosALeer=array();
$productosLeidos=array();



foreach($_SESSION['productos'] as $producto) {
			 
	if($producto['Leido']>0) {
		$productosLeidos[]=$producto;
		if( $producto['Cantidad'] > $producto['Leido'] ) $productosALeer[]=$producto;
	}
	else $productosALeer[]=$producto; 
	
	if( $producto['MarcaLineaNueva']=='S') $discrepanciasNuevos[]=$producto;
	else if( $producto['Cantidad']>$producto['Leido']) $discrepanciasSinLeer[]=$producto;
	else if($producto['CantidadExcedida']) $discrepanciasLeidoDeMas[]=$producto;
}

if($_GET['traza']=='si') {
	echo '<p>'.$peticion.'</p>';
	echo '<p>PRODUCTOS LEIDOS</p>';
	print_r($productosLeidos);
}

?>

<div class="estilosOP">

<h2>Entrada de Mercancía Nº <?php echo $_SESSION['entrada']['NumEntrada']; ?></h2>

<table class="tablaFormateada anchoMaximo desplazamientoSuperior">
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><th>Empresa</th><?php } ?>
    <th>Fecha</th>
	<th>Régimen</th>
	<th>Cliente</th>
	<th>Nombre Cliente</th>
    <th>Ref. Cliente</th>
	<th>Tipo Entrada</th>
	<th>Documento</th>
	<th>Expedidor</th>
    <?php if($_SESSION['parametrosSGA']['EntradasPanelControl']=='S') { ?><th>Usuarios Asignados</th><?php } ?>
</tr>
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $_SESSION['entrada']['Empresa']; ?></td><?php } ?>
    <td><?php echo fechaNacional($_SESSION['entrada']['FechaEntrada']); ?></td>
    <td><?php echo $_SESSION['entrada']['Regimen']; ?></td>
    <td><?php echo $_SESSION['entrada']['ClientePropietario']; ?></td>
	<td><?php echo $_SESSION['entrada']['NombreClientePropietario']; ?></td>
    <td><?php echo $_SESSION['entrada']['ReferenciaCliente']; ?></td>
	<td><?php echo $_SESSION['entrada']['TipoEntrada']; ?></td>
	<td><?php echo $_SESSION['entrada']['TipoDocumento']; ?> <?php echo $_SESSION['entrada']['NumeroDocumento']; ?></td>
	<td><?php echo $_SESSION['entrada']['Expedidor']; ?></td>
    <?php if($_SESSION['parametrosSGA']['EntradasPanelControl']=='S') { ?>
    <td>
    <?php foreach(explode(',',$_SESSION['entrada']['UsuariosAsignados']) as $usuario) echo $usuario.'<br>'; ?>
    </td>
	<?php } ?>
  </tr>
</table>
    
<h2 style="margin-top:40px">RESUMEN DE LECTURAS</h2>

<form id="formulario" name="formulario" method="post" action="">

	<input type="hidden" name="procesoEntradaPlay" id="procesoEntradaPlay" value="0" />

	<p style="margin-top:40px">Desglosar:
    <input type="checkbox" name="desglosarLote" id="desglosarLote" class="checkGrande checkDesglosar" <?php if(!$agruparLote) { ?>checked<?php } ?>/> Lote
    <input type="checkbox" name="desglosarFechaCaducidad" id="desglosarFechaCaducidad" class="checkGrande checkDesglosar" <?php if(!$agruparFechaCaducidad) { ?>checked<?php } ?>/> Fecha caducidad
    <input type="checkbox" name="desglosarPalet" id="desglosarPalet" class="checkGrande checkDesglosar" <?php if(!$agruparPalet) { ?>checked<?php } ?>/> 
    Palet
    <input type="checkbox" name="desglosarUbicacion" id="desglosarUbicacion" class="checkGrande checkDesglosar" <?php if(!$agruparUbicacion) { ?>checked<?php } ?>/> Ubicación
    <input type="submit" name="botonDesglosar" id="botonDesglosar" value="Aplicar" class="boton reducido mostrarCargando"/>
    <input type="button" name="botonDesglosarTodo" id="botonDesglosarTodo" value="Desglosar todo" class="boton reducido mostrarCargando"/>
    </p>
  

<?php

// GESTION DE LOS LISTADOS DE PRODUCTOS

$productosLeidos=array();



foreach($_SESSION['productos'] as $producto) {
	
	// Indice agrupación general, para generar los bloques
	if($esRegimenGeneral) $indiceAgrupacion=$producto['Codigo'];
	else $indiceAgrupacion=$producto['Codigo'].','.$producto['NumPartida'];
	
	
	
	if($producto['Leido']>0) {
	
	//echo '<hr>';
	//echo '<h1>ITERACION PRODUCTO</h2>';
	//echo '<p>Leido: '.$producto['Leido'].'</p>';
	//echo '<hr>';
	
		$lineasProducto=array();
		$palets=arreglaArrayPXMobileProxiumResult($producto['ProductoPalets']);
		
		if(!$agruparPalet) {
		
			foreach($palets as $palet) {
				
				
				if($palet['CantidadLeida']) { //Llega el palet - sin leido (con el resto)
				
					$anyadir=$producto;
					
					//añado los datos del subnivel arriba, para facilitar ordenador y agrupacion
					$anyadir['CodigoPalet']=$palet['CodigoPalet'];
					$anyadir['IdPaletCliente']=$palet['IdPaletCliente'];
					$anyadir['UbicacionPalet']=$palet['UbicacionPalet'];
					
					//echo '<p>Palet '.$palet['CodigoPalet'].' leido: '.$palet['CantidadLeida'].'</p>';
					
					//añadimos al nivel superior la cantidad
					$anyadir['Leido']=$palet['CantidadLeida'];
					
					//añadimos tambien la parte proporcional de los pesos
					$totalCantidadLeida=$producto['Leido'];
					$totalPesoBruto=$producto['PesoBruto'];
					$totalPesoNeto=$producto['PesoNeto'];
					$totalTara=$producto['Tara'];
					
					$anyadir['PesoBruto']=($palet['CantidadLeida']*$totalPesoBruto)/$totalCantidadLeida;
					$anyadir['PesoNeto']=($palet['CantidadLeida']*$totalPesoNeto)/$totalCantidadLeida;
					$anyadir['Tara']=($palet['CantidadLeida']*$totalTara)/$totalCantidadLeida;
					
					$lineasProducto[]=$anyadir;
					
					//echo '<p>Se añade linea de producto detallado:</p>';
					//print_r($palet);
					
				}
				
			}
			
		}
		else {
			$lineasProducto[]=$producto;
		}

		//echo '<hr>';
		//print_r($lineasProducto);
		//echo '<hr>';
		//echo '<P>CANTIDADES POR LINEA PRODUCTO</p>';
		
		
		
		foreach($lineasProducto as $item) {
		
			//echo '<hr>';
			//echo '<p>1- Item leido: '.$item['Leido'].'</p>';
			//print_r($item);
			//echo '<p>Cantidad por linea producto: '.$item['Leido'].'</p>';
		
			//Si no está desglosado por lote, si el indice ya existe (que NO incluye el lote), no se añade el item
			//sino que se suman las cantidades y los pesos
			//Si está desglosado, debe de copmrobarse el índice (que incluye lote) y si no está, se añade
			
			// Indice agrupacion secundario, para controlar los desgloses
			$indiceDesglose='';
			
			if( !$agruparLote ) {
				$indiceDesglose.=$item['Lote'].',';
				
			}
			else {
				$item['Lote']='';
			}
			
			if( !$agruparFechaCaducidad ) {
				$indiceDesglose.=$item['FechaCaducidad'].',';
			}
			else {
				$item['FechaCaducidad']='';
			}
			
			if( !$agruparPalet ) {
				$indiceDesglose.=$item['CodigoPalet'].',';
			}
			else {
				$item['CodigoPalet']='';
				//$item['UbicacionPalet']='';
			}
			
			if( !$agruparUbicacion ) {
				$indiceDesglose.=$item['UbicacionPalet'].',';
			}
			else {
				$item['UbicacionPalet']='';
			}
			
			/*
			if( !$desglosarFechaCaducidad && !$desglosarPalet ) $indiceDesglose.=$item['Lote'].',';
			if( !$desglosarLote && !$desglosarPalet ) $indiceDesglose.=$item['FechaCaducidad'].',';
			if( !$desglosarLote && !$desglosarFechaCaducidad ) $indiceDesglose.=$item['CodigoPalet'].',';
			*/
			
			//echo '<p>2- Item leido: '.$item['Leido'].'</p>';
			
			if( $productosLeidos[$indiceAgrupacion]['lineas'][$indiceDesglose] ) { //Si el indice para esa linea ya existe, se suman las cantidades
			
				//echo '<p>Existe el indice de agrupacion: '.$indiceAgrupacion.' con desglose: '.$indiceDesglose.'</p>';
			
				$productosLeidos[$indiceAgrupacion]['lineas'][$indiceDesglose]['Leido']+=$item['Leido'];
				$productosLeidos[$indiceAgrupacion]['lineas'][$indiceDesglose]['LeidoCajas']+=$item['LeidoCajas'];
				$productosLeidos[$indiceAgrupacion]['lineas'][$indiceDesglose]['PesoBruto']+=$item['PesoBruto'];
				$productosLeidos[$indiceAgrupacion]['lineas'][$indiceDesglose]['PesoNeto']+=$item['PesoNeto'];
				$productosLeidos[$indiceAgrupacion]['lineas'][$indiceDesglose]['Tara']+=$item['Tara'];
				
				//echo '<p>Se SUMA el item con leido: '.$item['Leido'].' al indice de agrupacion: '.$indiceAgrupacion.' y el desglose: '.$indiceDesglose.'</p>';
			}
			else {
			
				//echo '<p>NO Existe el indice de agrupacion: '.$indiceAgrupacion.' con desglose: '.$indiceDesglose.'</p>';
				
				$productosLeidos[$indiceAgrupacion]['lineas'][$indiceDesglose]=$item;
				
				//echo '<p>Se incorpora el item con leido: '.$item['Leido'].' al indice de agrupacion: '.$indiceAgrupacion.' y el desglose: '.$indiceDesglose.'</p>';
				
			}
		
		}
		
		//echo '<p>FINALMENTE QUEDA: '.$productosLeidos[$indiceAgrupacion]['lineas'][$indiceDesglose]['Leido'].'</p>';
		
		//Cabecera, sacamos la info del ultimo item
		$productosLeidos[$indiceAgrupacion]['Codigo']=$item['Codigo'];
		$productosLeidos[$indiceAgrupacion]['NumPartida']=$item['NumPartida'];
		$productosLeidos[$indiceAgrupacion]['Descripcion']=$item['Descripcion'];
		$productosLeidos[$indiceAgrupacion]['Formato']=$item['Formato'];
		
		//Totales
		if( $productosLeidos[$indiceAgrupacion]['Leido']>0 ) $productosLeidos[$indiceAgrupacion]['Leido']+=$producto['Leido'];
		else $productosLeidos[$indiceAgrupacion]['Leido']=$producto['Leido'];
			
		if( $productosLeidos[$indiceAgrupacion]['LeidoCajas']>0 ) $productosLeidos[$indiceAgrupacion]['LeidoCajas']+=$producto['LeidoCajas'];
		else $productosLeidos[$indiceAgrupacion]['LeidoCajas']=$producto['LeidoCajas'];
			
		if( $productosLeidos[$indiceAgrupacion]['PesoBruto']>0 ) $productosLeidos[$indiceAgrupacion]['PesoBruto']+=$producto['PesoBruto'];
		else $productosLeidos[$indiceAgrupacion]['PesoBruto']=$producto['PesoBruto'];
			
		if( $productosLeidos[$indiceAgrupacion]['PesoNeto']>0 ) $productosLeidos[$indiceAgrupacion]['PesoNeto']+=$producto['PesoNeto'];
		else $productosLeidos[$indiceAgrupacion]['PesoNeto']=$producto['PesoNeto'];
			
		if( $productosLeidos[$indiceAgrupacion]['Tara']>0 ) $productosLeidos[$indiceAgrupacion]['Tara']+=$producto['Tara'];
		else $productosLeidos[$indiceAgrupacion]['Tara']=$producto['Tara'];
		
		
		//print_r($productosLeidos[$indiceAgrupacion]);
		
	}
	
}



//Inicio ORDENACION

//$campoOrdenacion='Lote';
$campoOrdenacion='CodigoPalet';
//$campoOrdenacion='UbicacionPalet';

$productosTemp=array();

foreach($productosLeidos as $indice=>$itemProducto) {

	$productosTemp[$indice]=$itemProducto;

	$lineasProducto=$itemProducto['lineas'];
	
	$temporal=array();
	foreach ($lineasProducto as $clave=>$valor) {
		$temporal[$clave]=$valor[ $campoOrdenacion ];
	}
	array_multisort($temporal,SORT_ASC,$lineasProducto);
	
	$productosTemp[$indice]['lineas']=$lineasProducto;
	

}

$productosLeidos=$productosTemp;



//Fin ORDENACION


$columnasFijas=0;
$columnasVariables=0;
				
foreach($_SESSION['comportamientos'] as $comportamiento) if($comportamiento['Activo']=='S') $columnasVariables++;
if($_SESSION['entrada']['EANVisible']=='S') $columnasVariables++;
if($_SESSION['entrada']['MarcaVisible']=='S') $columnasVariables++;

if($agruparLote) $columnasVariables--;
if($agruparFechaCaducidad) $columnasVariables--;

$colspanPrimero=$columnasFijas+$columnasVariables;

$columnasFijas=1;
$columnasVariables=0;

if($_SESSION['entrada']['mostrarObservacionesAduana']) $columnasVariables++;
if(!$agruparPalet) $columnasVariables++;
if($pedirUbicacion && !$agruparUbicacion) $columnasVariables++;

$colspanSegundo=$columnasFijas+$columnasVariables;
			
			foreach($productosLeidos as $clave=>$itemProducto) {
				
				
				
				//echo '<p>CLAVE: '.$clave.'</p>';
				//print_r($itemProducto);
				//echo '<hr>';
				
				
				
				?>
                <!--<p>Indice: <?php echo $clave; ?></p>-->
                
                <?php $claveSinComas=str_replace(',','_',$clave); ?>

				<table class="tablaFormateada anchoMaximo tablaArriba" style="font-size:1.2em;margin-bottom:-2px" id="tablaArriba-<?php echo $claveSinComas; ?>" clave="<?php echo $claveSinComas; ?>">
				<tr>
                	<th>Código</th>
                    <?php if(!$esRegimenGeneral) { ?><th>Partida</th><?php } ?>
                    <th>Descripción</th>
                    <th>Formato</th>
                </tr>
                <tr class="fondoNaranja">
                	<td><?php echo $itemProducto['Codigo']; ?></td>
                    <?php if(!$esRegimenGeneral) { ?><td><?php echo $itemProducto['NumPartida']; ?></td><?php } ?>
                    <td><strong><?php echo $itemProducto['Descripcion']; ?></strong></td>
                    <td><?php echo $itemProducto['Formato']; ?></td>
                </tr>
                
                </table>
                                
                <table class="tablaFormateada anchoMaximo tablaAbajo" style="font-size:1.1em;margin-bottom:40px" id="tablaAbajo-<?php echo $claveSinComas; ?>" clave="<?php echo $claveSinComas; ?>">
                
                <tr>
					<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
						<?php if($comportamiento['Activo']=='S') { ?>
                        
                        <?php if( !($comportamiento['Codigo']=='LT' && $agruparLote) && !($comportamiento['Codigo']=='FCAD' && $agruparFechaCaducidad) ) { ?>
                  			<th><?php echo $comportamiento['Nombre']; ?></th>
						<?php } ?>
                        
          				<?php } ?>
					<?php } ?>
                    
                    <?php if($_SESSION['entrada']['EANVisible']=='S') { ?>
                    <th>EAN</th>
                    <?php } ?>
                    
                    <?php if($_SESSION['entrada']['MarcaVisible']=='S') { ?>
                    <th>Marca</th>
                    <?php } ?>
                    
					<th>Cantidad</th>
                    
					<?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
                    
                  	<th>Peso Bruto</th>
                    <th>Tara</th>
                    <th>Peso Neto</th>
					
                    <?php if( !$agruparPalet ) { ?>
                    <th>Palet</th>
                    <?php } ?>
                    
                    <?php if($pedirUbicacion && !$agruparUbicacion) { ?>
					<th>Ubicar en</th>
                    <?php } ?>
                    
      				<?php if($_SESSION['entrada']['mostrarObservacionesAduana']) { ?>
					<th>Obs. Aduana</th>
					<?php } ?>
                </tr>
                <?php
				
				foreach($itemProducto['lineas'] as $indiceDesglose=>$producto) {
				
					$cadenaNumerosSerie='';
					$numerosSerie=arreglaArrayPXMobileProxiumResult($producto['NumerosSerie']);
					foreach($numerosSerie as $numero) {
						if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
						$cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Leido'].','.$numero['Ubicacion'];
					}
					
					$linea=$producto['LineaEntrada'];
					
					//echo '<p>LINEA indiceDesglose: '.$indiceDesglose.'</p>';
					//print_r($producto);
					//echo '<p>Leido: '.$producto['Leido'].'</p>';
					
					
					
					?>
                    
      <!--<tr><td><?php echo $indiceDesglose; ?></td></tr>-->
	
					<tr class="lineaEntrada <?php if($producto['MarcaLineaNueva']=='S') { ?>verde<?php } ?>"  lineaentrada="<?php echo $linea; ?>" >
						
						<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
							<?php if($comportamiento['Activo']=='S') { ?>
                            
                            	<?php if( !($comportamiento['Codigo']=='LT' && $agruparLote) && !($comportamiento['Codigo']=='FCAD' && $agruparFechaCaducidad) ) { ?>
                            
<td>
								<?php
								if($comportamiento['Codigo']=='NS' && $producto['NumerosSerie']) {
									?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
								}
								else if($comportamiento['NombreSQL']=='Regimen') echo $producto['Regimen'];
								else echo formateaTipo($producto[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
								?>                      </td> 
                                
                                <?php } ?>
                                
        					<?php } ?>
						<?php } ?>
                        
                        <?php if($_SESSION['entrada']['EANVisible']=='S') { ?>
                        <td align="center"><?php echo $producto['EAN']; ?></td>
                        <?php } ?>
                        
                        <?php if($_SESSION['entrada']['MarcaVisible']=='S') { ?>
                        <td align="center"><?php echo $producto['Marca']; ?></td>
                        <?php } ?>
                        
						<td align="right">
                        <?php if($todoDesglosado && false && !$noPermitirEdicion) { //No esta en las especificaciones?>
                        <input name="cantidad-<?php echo $linea; ?>" id="cantidad-<?php echo $linea; ?>" type="text" class="campo cantidad cantidadDinamica campoCantidad" autocomplete="off" style="width:50px;font-size:1em;text-align:right" value="<?php echo $producto['Leido']; ?>" clave="<?php echo str_replace(',','_',$clave); ?>"/>
                        <?php } else { ?>
						<?php echo $producto['Leido']; ?>
                        <?php } ?>
                        </td>
                        
						<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo $producto['LeidoCajas']; ?><br /></td><?php } ?>
                        
						<td align="right">
                        <?php if($todoDesglosado && !$noPermitirEdicion) { ?>
                        <input name="pesoBruto-<?php echo $linea; ?>" id="pesoBruto-<?php echo $linea; ?>" type="text" class="campo cantidad cantidadDinamica campoPesoBruto" autocomplete="off" style="width:90px;font-size:1em;text-align:right" value="<?php echo formateaNumeroPeso($producto['PesoBruto']); ?>" clave="<?php echo str_replace(',','_',$clave); ?>"/>
                        <?php } else { ?>
						<?php echo formateaNumeroPeso($producto['PesoBruto']); ?>
                        <?php } ?>
						</td>
                        
						<td align="right">
                        <?php if($todoDesglosado && !$noPermitirEdicion) { ?>
                        <input name="tara-<?php echo $linea; ?>" id="tara-<?php echo $linea; ?>" type="text" class="campo cantidad cantidadDinamica campoTara" autocomplete="off" style="width:60px;font-size:1em;text-align:right" value="<?php echo formateaNumeroPeso($producto['Tara']); ?>" clave="<?php echo str_replace(',','_',$clave); ?>"/>
                        <?php } else { ?>
						<?php echo formateaNumeroPeso($producto['Tara']); ?>
                        <?php } ?>
                        </td>
                        
                        <td align="right">
                        <?php if($todoDesglosado && !$noPermitirEdicion) { ?>
                        <input name="pesoNeto-<?php echo $linea; ?>" id="pesoNeto-<?php echo $linea; ?>" type="text" class="campo campoPesoNeto deshabilitado" autocomplete="off" style="width:90px;font-size:1em;text-align:right" value="<?php echo formateaNumeroPeso($producto['PesoNeto']); ?>" readonly clave="<?php echo str_replace(',','_',$clave); ?>"/>
                        <?php } else { ?>
						<?php echo formateaNumeroPeso($producto['PesoNeto']); ?>
                        <?php } ?>
                        </td>
						
                        <?php if( !$agruparPalet ) { ?>
                        <td align="center"><?php echo $producto['CodigoPalet']; ?></td>
                        <?php } ?>
						
						<?php if($pedirUbicacion && !$agruparUbicacion) { ?>
						<td align="center"><?php echo $producto['UbicacionPalet']; ?></td>
                        <?php } ?>
                        
          				<?php if($_SESSION['entrada']['mostrarObservacionesAduana']) { ?>
                        <td><?php if($producto['ObsAduana']) { ?><img src="<?php echo DIR_IMAGENES; ?>/palet-info.png" style="width:50px" class="clicable observacionesAduana" contenido="<?php echo $producto['ObsAduana']; ?>"/><?php } ?></td>
                        <?php } ?>
                    </tr>
				
					<?php
				
				} //Fin iteracion productos y lineas
				
				
				if(!$todoAgrupado) {
				?>
				<tr>
					
                    <td colspan="<?php echo $colspanPrimero; ?>" align="right"><strong>TOTALES</strong></td>
                        
 					<td align="right">
                    <?php if($todoDesglosado && false) { //No esta en las especificaciones ?>
                        <input name="totalCantidad-<?php echo str_replace(',','_',$clave); ?>" id="totalCantidad-<?php echo str_replace(',','_',$clave); ?>" type="text" class="campo deshabilitado" autocomplete="off" style="width:90px;font-size:1em;text-align:right;font-weight:500;color:#666666" value="<?php echo $itemProducto['Leido']; ?>" readonly />
                        <?php } else { ?>
						<strong><?php echo $itemProducto['Leido']; ?></strong>
                    <?php } ?>
 					</td>
                        
      				<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><strong><?php echo $itemProducto['LeidoCajas']; ?></strong></td><?php } ?>
                        
					<td align="right">
                    <?php if($todoDesglosado) { ?>
                        <input name="totalPesoBruto-<?php echo str_replace(',','_',$clave); ?>" id="totalPesoBruto-<?php echo str_replace(',','_',$clave); ?>" type="text" class="campo deshabilitado" autocomplete="off" style="width:90px;font-size:1em;text-align:right;font-weight:500;color:#666666" value="<?php echo formateaNumeroPeso($itemProducto['PesoBruto']); ?>" readonly />
                        <?php } else { ?>
						<strong><?php echo formateaNumeroPeso($itemProducto['PesoBruto']); ?></strong>
                    <?php } ?>
                    </td>
                    
 					<td align="right">
                    <?php if($todoDesglosado) { ?>
                        <input name="totalTara-<?php echo str_replace(',','_',$clave); ?>" id="totalTara-<?php echo str_replace(',','_',$clave); ?>" type="text" class="campo deshabilitado" autocomplete="off" style="width:60px;font-size:1em;text-align:right;font-weight:500;color:#666666" value="<?php echo formateaNumeroPeso($itemProducto['Tara']); ?>" readonly />
                        <?php } else { ?>
						<strong><?php echo formateaNumeroPeso($itemProducto['Tara']); ?></strong>
                    <?php } ?>
                    </td>
                    
 					<td align="right">
                    <?php if($todoDesglosado) { ?>
                        <input name="totalPesoNeto-<?php echo str_replace(',','_',$clave); ?>" id="totalPesoNeto-<?php echo str_replace(',','_',$clave); ?>" type="text" class="campo deshabilitado" autocomplete="off" style="width:90px;font-size:1em;text-align:right;font-weight:500;color:#666666" value="<?php echo formateaNumeroPeso($itemProducto['PesoNeto']); ?>" readonly />
                        <?php } else { ?>
						<strong><?php echo formateaNumeroPeso($itemProducto['PesoNeto']); ?></strong>
                    <?php } ?>
                    </td>
				
 					<?php if( !$agruparPalet || !$agruparUbicacion ) { ?>
 					<td colspan="<?php echo $colspanSegundo; ?>"></td>
 					<?php } ?>
                  
                  </tr>
                  
                  <?php } ?>
                  
				</table>
  			<?php
			
				
			} //Fin iteracion productos
				
		?>
	
    </form>
    
    <?php if(!$noPermitirEdicion) { ?> 
    <p><input type="submit" name="botonGuardar" id="botonGuardar" value="GUARDAR" class="campo boton"/></p>
    <?php } ?>

	<p><input type="submit" name="botonVolver" id="botonVolver" value="Volver a la entrada" class="campo boton"/></p>

</div> <!-- classe estilosOP -->

<script>

	function cantidadParaCalculadora(valor) {
		valor = valor.replace(/\./g,'');
		valor = valor.replace(/\,/g,'.');
		return valor;
	}
		
	function cantidadParaPantalla(valor) {
	
		if(valor)  valor=parseFloat( valor );
		else valor=0;
		
		valor = Intl.NumberFormat("de-DE",{minimumFractionDigits:3}).format( valor );
		return valor;

	}

	function recalculaTotales(clave) {
	
		var totalCantidad=0;
		$('.campoCantidad').each(function(){
			if($(this).attr('clave')==clave) {
				totalCantidad+=parseInt( $(this).val() );
			}
		});
		$('#totalCantidad-'+clave).val( totalCantidad );
		
		var totalPesoBruto=0;
		$('.campoPesoBruto').each(function(){
			if($(this).attr('clave')==clave) {
				totalPesoBruto+=parseFloat( cantidadParaCalculadora( $(this).val() ) );
			}
		});
		$('#totalPesoBruto-'+clave).val( cantidadParaPantalla(totalPesoBruto) );
		
		var totalTara=0;
		$('.campoTara').each(function(){
			if($(this).attr('clave')==clave) {
				totalTara+=parseFloat( cantidadParaCalculadora( $(this).val() ) );
			}
		});
		$('#totalTara-'+clave).val( cantidadParaPantalla(totalTara) );
		
		var totalPesoNeto=0;
		$('.campoPesoNeto').each(function(){
			if($(this).attr('clave')==clave) {
				totalPesoNeto+=parseFloat( cantidadParaCalculadora( $(this).val() ) );
			}
		});
		$('#totalPesoNeto-'+clave).val( cantidadParaPantalla(totalPesoNeto) );
	
	}
	
	
	function validaCampos() {
	
			//Comprobacion pesos
			var errorPeso=false;
			var linea;
			
			$('.campoPesoBruto').each(function(){
			
				if( $(this).val()=='' || parseFloat( cantidadParaCalculadora( $(this).val() ) )==0 ) errorPeso=true;
			
			});
			
			if(errorPeso) {
				alert('Error: Alguna linea no tiene informado Peso Bruto.',null,'error');
				return false;
			}
			else {
				return true;
			}

	}


$(document).ready(function() {

	///////////////////////////////////////////////////// Gestion campo cantidad

			$('.cantidadDinamica').on("click",function(e) {
				$('#calculadora').show();
				$('#valorCalculadora').val( cantidadParaCalculadora($(this).val()) );
				$('#enterCalculadora').attr('campoValor', $(this).attr('name') );
				$('#enterCalculadora').attr('forzarEnter','si');
			});
			
			$('.campoCantidad').on('change',function(){
				var clave=$(this).attr('clave');
				recalculaTotales(clave);
			});
			
			$('.campoPesoBruto').on('change',function(){
				$(this).val( cantidadParaPantalla( $(this).val() ) );
			});
			
			$('.campoTara').on('change',function(){
				$(this).val( cantidadParaPantalla( $(this).val() ) );
			});
			

			
			$('.campoPesoBruto').on('change',function(e) {
			
				var linea=$(this).parent().parent().attr('lineaEntrada');
				var peso=parseFloat(cantidadParaCalculadora($(this).val()));
				
				if(peso) {
					var tara;
					if($('#tara-'+linea).val()) tara=parseFloat(cantidadParaCalculadora($('#tara-'+linea).val()));
					else tara=0;
					var neto=peso-tara;
					
					if(neto>0) $('#pesoNeto-'+linea).val( cantidadParaPantalla(neto) );
					else $('#pesoNeto-'+linea).val('');
				}
				else {
					$('#tara-'+linea).val('');
					$('#pesoNeto-'+linea).val('');
				}
				
				var clave=$(this).attr('clave');
				recalculaTotales(clave);
				
			});
			
			$('.campoTara').on('change',function(e) {
			
				var linea=$(this).parent().parent().attr('lineaEntrada');
				var tara;
				if($(this).val()) tara=parseFloat(cantidadParaCalculadora($(this).val()));
				else tara=0;
				var peso;
				if( $('#pesoBruto-'+linea).val() ) {
					peso=parseFloat(cantidadParaCalculadora($('#pesoBruto-'+linea).val()));
					var neto=peso-tara;
				
					if(neto>0) $('#pesoNeto-'+linea).val( cantidadParaPantalla(neto) );
					else $('#pesoNeto-'+linea).val('');
				}
				else if(tara) {
					alert('No puedes indicar Tara sin indicar antes el Peso Bruto',null,'advertencia');
					$(this).val('');
				}
				
				var clave=$(this).attr('clave');
				recalculaTotales(clave);
			});
			
			
			
	$('#botonGuardar').on("click",function(e){
		
		e.preventDefault();
		
		if(validaCampos()) {
			
			$('#procesoEntradaPlay').val(1);
			$('#popupCargando').show();
			$('#formulario').submit();
			
		}
	});
		

	$('#botonVolver').on('click',function(){
		$('#popupCargando').show();
		window.location='entrada-mercancia-gs1.php';
	});
	
	$('#botonDesglosarTodo').on('click',function(){
		$('.checkDesglosar').prop('checked',true);
		$('#formulario').submit();
	});
	
	
	
	//Ajustar tamaño tablas
	$('.tablaArriba').each(function(){
		var arriba=$(this).width();
		var clave=$(this).attr('clave');
		var abajo=$('#tablaAbajo-'+clave).width();
		if(abajo<arriba) $('#tablaAbajo-'+clave).width(arriba+4);
	});
	
	$('.tablaAbajo').each(function(){
		var abajo=$(this).width();
		var clave=$(this).attr('clave');
		var arriba=$('#tablaArriba-'+clave).width();
		if(arriba<abajo) $('#tablaArriba-'+clave).width(abajo+4);
		
		console.log('el tamaño de abajo es: '+abajo);
		console.log('el tamaño de arriba es: '+arriba);
	});
	
});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>